Bug 779257 - (SOA-1648) Property javax.xml.registry.ConnectionFactoryClass not set if configured to remote SOA registry without jbossesb-registry.sar directory
Property javax.xml.registry.ConnectionFactoryClass not set if configured to r...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 ER4
Unspecified Unspecified
high Severity high
: ---
: 5.0.0 GA,5.0.0 ER5
Assigned To: trev
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-25 09:33 EST by Jiri Sedlacek
Modified: 2015-08-02 19:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
SOA-P without embeded jbossesb-registry.sar
Last Closed: 2010-01-29 05:33:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log (89.89 KB, text/x-log)
2009-11-25 09:33 EST, Jiri Sedlacek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1648 None None None Never

  None (edit)
Description Jiri Sedlacek 2009-11-25 09:33:01 EST
Date of First Response: 2009-11-25 10:27:31
Workaround Description:  Set the following on the command line

-Djavax.xml.registry.ConnectionFactoryClass=org.apache.ws.scout.registry.ConnectionFactoryImpl

project_key: SOA

If I try to run SOA-P configured to remote SOA registry with jbossesb-registry.sar directory removed, javax.xml.registry.ConnectionFactoryClass system property is not set. this is important to JAXR API to find concrete class.

This system property is ussualy set by startService() method in the class org.jboss.internal.soa.esb.dependencies.JuddiRMIService in jbossesb-registry.jar in jbossesb-registry.sar directory.

Can be reproduced by configuring SOA-P to use remote SOA registry in <JBOSS_HOME>/server/<server_configuration>/deployers/esb.deployer/jbossesb-properties.xml and removing <JBOSS_HOME>/server/<server_configuration>/deploy/jbossesb.sar directory.
Comment 1 Jiri Sedlacek 2009-11-25 09:33:16 EST
Attachment: Added: server.log
Comment 2 Kevin Conner 2009-11-25 10:27:31 EST
It is definitely a bug for that property to be set within the server side MBean, it should be moved to the JuddiClientService.

I'll create an ESB issue for this.
Comment 3 Kevin Conner 2009-11-25 10:31:05 EST
Link: Added: This issue depends JBESB-3006
Comment 4 Kevin Conner 2009-11-25 10:32:43 EST
Workaround attached
Comment 5 Kevin Conner 2009-11-25 10:32:43 EST
Workaround Description: Added:  Set the following on the command line

-Djavax.xml.registry.ConnectionFactoryClass=org.apache.ws.scout.registry.ConnectionFactoryImpl

Comment 6 Kevin Conner 2009-11-25 14:15:47 EST
Property moved to client service bean in ESB CP codebase, will be in next merge.
Comment 7 Jiri Sedlacek 2010-01-29 05:20:39 EST
It's just a partial solution. If I want to use SOA-P with different registry, I needn't any of jUDDI consoles nor JuddiClientService mbean, therefore javax.xml.registry.ConnectionFactoryClass system property is not set again and setting the property on command line is required. 

Wouldn't be better to set this property in some configuration file not dependent on uddi provider, but just on JAXR implementation?
Comment 8 Kevin Conner 2010-01-29 05:30:21 EST
Sorry, your concern is that a juddi specific service no longer sets a property on behalf of a non juddi implementation?

If you are setting up a completely different service then this should be part of that initialisation.
Comment 9 Kevin Conner 2010-01-29 05:33:08 EST
If there is a specific (new) issue to be addressed then please raise a new issue.

Closing this as it has been addressed.

Note You need to log in before you can comment on or make changes to this bug.